<?php 

require_once("config/configDB.php"); 
require "userPermission.php";

require_once("config/configDB.php");

$sqlInvoiceCount = mysqli_query($conn,"SELECT count(*) as invoice FROM area_master");
 
$rowInvoiceCount=mysqli_fetch_array($sqlInvoiceCount,MYSQLI_ASSOC);

$invoice   = $rowInvoiceCount['invoice']+1;


?>
<!DOCTYPE html>
<html>
<head>
    <title>Area Master</title>
    <?php require 'header.php' ?>

</head>
<body>
    <?php require 'menu.php' ?>
    <div class="container-fluid text-center">
    <div class="row col-sm-12">
      <strong><h3>Area Master</h3></strong>
      </div>
    </div>
    <br><br>



<div class="container-fluid">
    <form class="form-horizontal" action="areaMasterInsert.php" method="post" onSubmit="return checkForm(this);" autocomplete="off">
   
    <div class="form-group">
      <label class="control-label col-sm-3" for="email">Area Code</label>
      <div class="col-sm-5">
        <input type="text" class="form-control" placeholder="Enter Item Code" name="areatcode" required value="<?php echo $invoice; ?>" readonly>
      </div>
      <label class="label-command col-sm-4" for="email">( Example : AR0001)</label>
    </div>

    <div class="form-group">
      <label class="control-label col-sm-3" for="email">Area Name</label>
      <div class="col-sm-5">
        <input type="text" class="form-control" placeholder="Enter Area Name" name="areaname" required>
      </div>
    </div>

<div class="form-group">
      <label class="control-label col-sm-3" for="email">Area Tamil Name</label>
      <div class="col-sm-5">
        <input type="text" class="form-control tamil" placeholder="Enter Area Name" name="area_tamil" id="area_tamil" required><br>
         <a href="https://www.google.com/intl/ta/inputtools/try/" target="_blank">Tamil Type</a>
      </div>
    </div>
    
    

    <div class="form-group">        
      <div class="col-sm-offset-2 col-sm-10">
        <button type="submit" name="myButton" class="btn btn-default">Submit</button>
      </div>
    </div>
  </form>   
</div>


    <?php require 'footer.php' ?>
    <script>

  var checkForm = function(form) {

    //
    // validate form fields
    //

    form.myButton.disabled = true;
    return true;
  };

</script>

 <SCRIPT language=JavaScript src="js/utf.js"></SCRIPT>
		<SCRIPT language=JavaScript src="js/tamil.js"></SCRIPT>
		
		<script>
			$(document).ready(function(){
				$('#area_tamil').on('keydown',function(event){
					if(event.which==121){
						$(this).toggleClass('tamil');
						return false;
					}
					if($(this).hasClass('tamil')){
						toggleKBMode(event);
					}else{
						return true;
					}
				});
				$('#area_tamil').on('keypress',function(event){
					if($(this).hasClass('tamil')){
						convertThis(event);
					}
				});
			});
		</script>
    
</body>
</html>